<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'aiprovider_ollama', language 'cs', version '5.0'.
 *
 * @package     aiprovider_ollama
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action:explain_text:model'] = 'Model vysvětlení textu';
$string['action:explain_text:model_help'] = 'Model použitý k vysvětlení poskytnutého textu.';
$string['action:explain_text:systeminstruction'] = 'Systémová instrukce';
$string['action:explain_text:systeminstruction_help'] = 'Tato instrukce je odeslána do modelu AI spolu s výzvou uživatele. Úprava tohoto návodu se nedoporučuje, pokud to není nezbytně nutné.';
$string['action:generate_text:model'] = 'Model generování textu';
$string['action:generate_text:model_help'] = 'Model použitý ke generování textové odpovědi.';
$string['action:generate_text:systeminstruction'] = 'Systémová instrukce';
$string['action:generate_text:systeminstruction_help'] = 'Tato instrukce je odeslána do modelu AI spolu s výzvou uživatele. Úprava tohoto návodu se nedoporučuje, pokud to není nezbytně nutné.';
$string['action:summarise_text:model'] = 'Textový sumarizační model';
$string['action:summarise_text:model_help'] = 'Model použitý ke shrnutí poskytnutého textu.';
$string['action:summarise_text:systeminstruction'] = 'Systémová instrukce';
$string['action:summarise_text:systeminstruction_help'] = 'Tato instrukce je odeslána do modelu AI spolu s výzvou uživatele. Úprava tohoto návodu se nedoporučuje, pokud to není nezbytně nutné.';
$string['custom_model_name'] = 'Vlastní název modelu';
$string['enablebasicauth'] = 'Povolit základní ověřování';
$string['enablebasicauth_help'] = 'Povolit základní ověřování pro poskytovatele Ollama API.';
$string['endpoint'] = 'Koncový bod API';
$string['endpoint_help'] = 'Koncový bod API pro server Ollama API.';
$string['extraparams'] = 'Extra parametry';
$string['extraparams_help'] = 'Zde lze konfigurovat další parametry. Podporujeme formát JSON. Například:
 <pre>
{
     "temperature": 0,5,
     "max_tokens": 100
}
</pre>';
$string['invalidjson'] = 'Neplatný řetězec JSON';
$string['password'] = 'Heslo';
$string['password_help'] = 'Heslo používané pro základní ověření.';
$string['pluginname'] = 'Poskytovatel Ollama API';
$string['privacy:metadata'] = 'Doplněk poskytovatele Ollama API neukládá žádné osobní údaje.';
$string['privacy:metadata:aiprovider_ollama:externalpurpose'] = 'Tyto informace jsou odeslány do Ollama API, aby mohla být vygenerována odpověď. Nastavení vašeho účtu Ollama může změnit způsob, jakým společnost Ollama ukládá a uchovává tato data. Pomocí tohoto doplňku nejsou do Ollama explicitně odesílána žádná uživatelská data ani uložena v Moodle LMS.';
$string['privacy:metadata:aiprovider_ollama:model'] = 'Model použitý ke generování odpovědi.';
$string['privacy:metadata:aiprovider_ollama:prompttext'] = 'Uživatel zadal textovou výzvu použitou ke generování odpovědi.';
$string['settings'] = 'Nastavení';
$string['settings_help'] = 'Upravte nastavení níže, abyste přizpůsobili způsob odesílání požadavků Ollamě.';
$string['settings_mirostat'] = 'Mirostat';
$string['settings_mirostat_help'] = 'Povolte vzorkování Mirostat pro kontrolu perplexity. 0 = zakázáno, 1 = Mirostat, 2 = Mirostat 2.0 (výchozí: 0 )';
$string['settings_seed'] = 'počáteční hodnota';
$string['settings_seed_help'] = 'Nastaví počáteční číslo náhodného čísla, které se má použít pro generování. Nastavení na konkrétní číslo způsobí, že model vygeneruje stejný text pro stejnou výzvu. (Výchozí: 0)';
$string['settings_temperature'] = 'teplota';
$string['settings_temperature_help'] = 'Teplota ovlivňuje, zda je výstup náhodnější a kreativnější nebo předvídatelnější. Zvýšení teploty způsobí, že model bude odpovídat kreativněji. (Výchozí: 0,8)';
$string['settings_top_k'] = 'top_k';
$string['settings_top_k_help'] = 'Snižuje pravděpodobnost generování nesmyslů. Vyšší hodnota (např. 100) poskytne rozmanitější odpovědi, zatímco nižší hodnota (např. 10) bude konzervativnější. (Výchozí: 40)';
$string['settings_top_p'] = 'top_p';
$string['settings_top_p_help'] = 'Spolupracuje s top-k. Vyšší hodnota (např. 0,95) povede k rozmanitějšímu textu, zatímco nižší hodnota (např. 0,5) vytvoří cílenější a konzervativnější text. (Výchozí: 0,9)';
$string['username'] = 'Uživatelské jméno';
$string['username_help'] = 'Uživatelské jméno používané pro základní ověření.';
