<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'factor_sms', language 'cs', version '5.0'.
 *
 * @package     factor_sms
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action:manage'] = 'Spravovat číslo mobilního telefonu';
$string['action:revoke'] = 'Odstranit číslo mobilního telefonu';
$string['addnumber'] = 'Číslo mobilního telefonu';
$string['clientnotfound'] = 'Klient služby AWS nebyl nalezen. Klient musí být plně kvalifikovaný název třídy, např. \\Aws\\S3\\S3Client.';
$string['editphonenumber'] = 'Upravit telefonní číslo';
$string['editphonenumberinfo'] = 'Pokud jste kód neobdrželi nebo jste zadali špatné číslo, upravte číslo a zkuste to znovu.';
$string['error:emptyverification'] = 'Prázdný kód. Zkusit to znovu.';
$string['error:wrongphonenumber'] = 'Zadané telefonní číslo nemá platný formát.';
$string['error:wrongverification'] = 'Špatný kód. Zkusit to znovu.';
$string['errorawsconection'] = 'Chyba při připojování k serveru AWS: {$a}';
$string['errorsmssent'] = 'Chyba při odesílání zprávy SMS obsahující váš ověřovací kód.';
$string['event:smssent'] = 'SMS zpráva odeslána.';
$string['event:smssentdescription'] = 'Uživateli s id {$a->userid} byl zaslán ověřovací kód prostřednictvím SMS. Informace: {$a->debuginfo}';
$string['info'] = 'Nechte si zaslat ověřovací kód na mobilní číslo, které si zvolíte.';
$string['logindesc'] = 'Právě jsme odeslali SMS obsahující 6místný kód na vaše mobilní číslo {$a}';
$string['loginoption'] = 'Nechte si zaslat kód na váš mobilní telefon';
$string['loginskip'] = 'Neobdržel jsem kód';
$string['loginsubmit'] = 'Pokračovat';
$string['logintitle'] = 'Zadejte ověřovací kód odeslaný na váš mobil';
$string['managefactor'] = 'Správa SMS';
$string['managefactorbutton'] = 'Správa';
$string['manageinfo'] = 'K ověření používáte "{$a}".';
$string['notification:smsgatewaymigration'] = 'Nastavení SMS byla přesunuta';
$string['notification:smsgatewaymigrationinfo'] = 'Nyní je k dispozici nový subsystém SMS pro správu a konfiguraci všech funkcí souvisejících se SMS. Vaše stávající konfigurace SMS byly migrovány na stránku <a href="{$a}">SMS brány</a>.';
$string['phonehelp'] = 'Abyste obdrželi ověřovací kód, zadejte své mobilní číslo (včetně kódu země).';
$string['pluginname'] = 'SMS';
$string['privacy:metadata'] = 'Zásuvný modul SMS faktor neukládá žádné osobní údaje.';
$string['revokefactorconfirmation'] = 'Odstranit "{$a}" SMS?';
$string['settings:aws'] = 'AWS SNS';
$string['settings:aws:key'] = 'Klíč';
$string['settings:aws:key_help'] = 'Důvěryhodný klíč Amazon API.';
$string['settings:aws:region'] = 'Region';
$string['settings:aws:region_help'] = 'Oblast brány Amazon API.';
$string['settings:aws:secret'] = 'Kód';
$string['settings:aws:secret_help'] = 'Kód ověření Amazon API.';
$string['settings:aws:usecredchain'] = 'K vyhledání přihlašovacích údajů AWS použijte výchozí řetězec poskytovatele ověření';
$string['settings:countrycode'] = 'Číselný kód země';
$string['settings:countrycode_help'] = 'Volací kód bez úvodního + jako výchozí, pokud uživatelé nezadají mezinárodní číslo s předvolbou +.

Seznam volacích kódů naleznete na tomto odkazu: {$a}';
$string['settings:duration'] = 'Doba platnosti';
$string['settings:duration_help'] = 'Doba, po kterou je kód platný.';
$string['settings:gateway'] = 'SMS brána';
$string['settings:gateway_help'] = 'Poskytovatel SMS, přes kterého chcete posílat zprávy';
$string['settings:heading'] = 'Uživatelé obdrží 6místný ověřovací kód prostřednictvím SMS, který musí zadat, aby dokončili proces přihlášení. Uživatelé budou muset nejprve zaregistrovat své mobilní telefonní číslo.';
$string['settings:setupdesc'] = 'Chcete-li použít SMS jako ověřovací faktor, musíte nejprve <a href="{$a}">nastavit SMS bránu</a>.';
$string['settings:shortdescription'] = 'Vyžadovat, aby uživatelé během přihlašování zadali kód přijatý prostřednictvím SMS.';
$string['settings:smsgateway'] = 'SMS brána';
$string['settings:smsgateway_help'] = 'Vyberte bránu ze seznamu nebo <a href="{$a}">vytvořte novou bránu</a>.';
$string['setupfactor'] = 'Nastavit SMS';
$string['setupfactorbutton'] = 'Nastavit';
$string['setupsubmitcode'] = 'Uložit';
$string['setupsubmitphone'] = 'Poslat kód';
$string['smsstring'] = '{$a->code} je váš jednorázový bezpečnostní kód {$a->fullname}.

@{$a->url} #{$a->code}';
$string['summarycondition'] = 'Pomocí SMS jednorázového bezpečnostního kódu';
