<?php
// This file is part of Moodle - https://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <https://www.gnu.org/licenses/>.

/**
 * Strings for component 'factor_webauthn', language 'cs', version '5.0'.
 *
 * @package     factor_webauthn
 * @category    string
 * @copyright   1999 Martin Dougiamas and contributors
 * @license     https://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */

defined('MOODLE_INTERNAL') || die();

$string['action:manage'] = 'Spravovat bezpečnostní klíč';
$string['action:revoke'] = 'Odstranit bezpečnostní klíč';
$string['authenticator:ble'] = 'BLE';
$string['authenticator:hybrid'] = 'Hybridní';
$string['authenticator:internal'] = 'Interní';
$string['authenticator:nfc'] = 'NFC';
$string['authenticator:usb'] = 'USB';
$string['authenticatorname'] = 'Název bezpečnostního klíče';
$string['error'] = 'Ověření se nezdařilo';
$string['error:alreadyregistered'] = 'Tento soukromý bezpečnostní klíč již byl zaregistrován.';
$string['info'] = 'Použijte fyzický bezpečnostní klíč nebo čtečku otisků prstů.';
$string['logindesc'] = 'Chcete-li použít bezpečnostní klíč, klikněte na Pokračovat.';
$string['loginoption'] = 'Použijte bezpečnostní klíč';
$string['loginskip'] = 'Nemám svůj bezpečnostní klíč';
$string['loginsubmit'] = 'Pokračovat';
$string['logintitle'] = 'Ověřte svou totožnost pomocí bezpečnostního klíče';
$string['managefactor'] = 'Spravovat bezpečnostní klíč';
$string['managefactorbutton'] = 'Správa';
$string['manageinfo'] = 'K ověření používáte "{$a}".';
$string['pluginname'] = 'Bezpečnostní klíč';
$string['privacy:metadata'] = 'Plugin faktor bezpečností klíč neukládá žádné osobní údaje';
$string['register'] = 'Zaregistrovat bezpečnostní klíč';
$string['registererror'] = 'Nepodařilo se zaregistrovat bezpečnostní klíč: {$a}';
$string['registersuccess'] = 'Registrovaný bezpečnostní klíč.';
$string['replacefactor'] = 'Vyměňte bezpečnostní klíč';
$string['replacefactorconfirmation'] = 'Nahradit bezpečnostní klíč "{$a}"?';
$string['revokefactorconfirmation'] = 'Odstranit bezpečnostní klíč "{$a}"?';
$string['settings:authenticatortypes'] = 'Typ ověřovatele';
$string['settings:authenticatortypes_help'] = 'Přepnout určité typy ověřovatelů';
$string['settings:description'] = '<p>Uživatelé se ověřují pomocí fyzického bezpečnostního klíče, jako je USB nebo NFC token, nebo biometrickou metodou, jako je otisk prstu. Během přihlášení musí fyzicky použít svůj bezpečnostní klíč k ověření své identity.</p> <p>Uživatelé si budou muset nejprve nastavit vlastní bezpečnostní klíče.</p>';
$string['settings:shortdescription'] = 'Vyžadovat, aby uživatelé při přihlašování použili bezpečnostní klíč, jako je USB nebo NFC token, nebo biometrickou metodu.';
$string['settings:userverification'] = 'Ověření uživatele';
$string['settings:userverification_help'] = 'Slouží k zajištění toho, že ověřující osoba je skutečně tím, za koho se vydává. Ověření uživatele může mít různé formy, jako je heslo, PIN, otisk prstu atd.';
$string['setupfactor'] = 'Nastavení bezpečnostního klíče';
$string['setupfactor:instructionsregistersecuritykey'] = '2. Zaregistrujte bezpečnostní klíč.';
$string['setupfactor:instructionssecuritykeyname'] = '1. Pojmenujte svůj klíč.';
$string['setupfactor:intro'] = 'Bezpečnostní klíč je fyzické zařízení, které můžete použít k ověření. Bezpečnostní klíče mohou být tokeny USB, zařízení Bluetooth nebo čtečky otisků prstů zabudované ve vašem telefonu nebo počítači.';
$string['setupfactor:securitykeyinfo'] = 'To vám pomůže určit, který bezpečnostní klíč používáte.';
$string['setupfactorbutton'] = 'Nastavení';
$string['summarycondition'] = 'pomocí ověřovatele s podporou WebAuthn';
$string['userverification:discouraged'] = 'Nemělo by se používat ověřování uživatele, například k minimalizaci interakce uživatele';
$string['userverification:preferred'] = 'Upřednostňuje se ověření uživatele, ověření se neselže, pokud ověření uživatele chybí';
$string['userverification:required'] = 'Vyžaduje se ověření uživatele (např. PIN). Ověření se nezdaří, pokud klíč nemá ověření uživatele';
